###################################################
### chunk number 1: 
###################################################
options(width=50)


###################################################
### chunk number 2: 
###################################################
library(RecordLinkage)

showClass("RLBigData")
showClass("RLBigDataDedup")
showClass("RLBigDataLinkage")


###################################################
### chunk number 3: 
###################################################
# deduplicate dataset with two blocking iterations and string comparison
data(RLdata500)
data(RLdata10000)
rpairs1 <- RLBigDataDedup(RLdata500, identity = identity.RLdata500, blockfld = list(1,3),
  strcmp = 1:4)

# link two datasets with phonetic code, exclude lname_c2
s1 <- 471:500
s2 <- sample(1:10000, 300)
identity2 <- c(identity.RLdata500[s1], rep(NaN, length(s2)))
dataset <- rbind(RLdata500[s1,], RLdata10000[s2,])
rpairs2 <- RLBigDataLinkage(RLdata500, dataset, identity1 = identity.RLdata500,
  identity2 = identity2, phonetic = 1:4, exclude = "lname_c2")


###################################################
### chunk number 4: 
###################################################
rpairs1 <- begin(rpairs1)
nextPairs(rpairs1, 10)
clear(rpairs1)


###################################################
### chunk number 5: 
###################################################
train <- getMinimalTrain(compare.dedup(RLdata500, identity = identity.RLdata500,
  blockfld = list(1,3)))
rpairs1 <- RLBigDataDedup(RLdata500, identity = identity.RLdata500)
classif <- trainSupv(train, "rpart", minsplit=2)
result <- classifySupv(classif, rpairs1)


###################################################
### chunk number 6: 
###################################################
showClass("RLResult")


###################################################
### chunk number 7: 
###################################################
getTable(result)
getErrorMeasures(result)


###################################################
### chunk number 8: 
###################################################
rpairs1 <- epiWeights(rpairs1)
result <- epiClassify(rpairs1, 0.5)
getTable(result)


###################################################
### chunk number 9: 
###################################################
getPairs(result, min.weight=0.7, filter.link="link")


###################################################
### chunk number 10: 
###################################################
getFalsePos(result)
getFalseNeg(result)



